Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
eztrade/user/menubox.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $CategoryListProductImages = $ini->variable( "eZTradeMain", "CategoryListProductImages" ) == "enabled" ? true : false
| $t
| $category = new eZProductCategory( )
| $categoryList = $category->getByParent( $category )
if( $CategoryListProductImages==true &&count( $categoryList) > 0) | else

## Variable Documentation

## ◆ $category

$category = new eZProductCategory( )

Definition at line 52 of file eztrade/user/menubox.php.

## ◆ $categoryList

$categoryList = $category->getByParent( $category )

Definition at line 55 of file eztrade/user/menubox.php.

## ◆ $CategoryListProductImages

$CategoryListProductImages = $ini->variable( "eZTradeMain", "CategoryListProductImages" ) == "enabled" ? true : false

Definition at line 31 of file eztrade/user/menubox.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file eztrade/user/menubox.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 30 of file eztrade/user/menubox.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl", $Language, "menubox.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: eztrade/user/menubox.php:30
$ini
$ini
Definition: eztrade/user/menubox.php:29

Definition at line 37 of file eztrade/user/menubox.php.

## ◆ else

if ($CategoryListProductImages==true &&count($categoryList) > 0) else

Initial value:
{
$t->parse( "category_image_hot_deals", "category_image_hot_deals_tpl", true)
$t
$t
Definition: eztrade/user/menubox.php:37

Definition at line 82 of file eztrade/user/menubox.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.